<?php	
class IndexController extends Zend_Controller_Action
{
	public function init()
    {
   		
	}

    public function indexAction()
    {	

    	$auth = VSCAN_Sessions::currentUser();
    	if (!$auth->logged) {
    		$this->_login();
    	}
    }
    
    public function logoutAction()
    {
    	VSCAN_Sessions::destroy();
    	$this->_redirect('/');
    }
    
    public function helpAction(){
    
    }

    public function aboutAction(){
    
    }

    public function servicesAction() 
    {

    }
    public function supportAction(){

        $supportForm = new VSCAN_Form_Support();
        $issue = $this->getRequest()->getParam('issue', false);
        if ($issue){
            $supportForm->setIssue($issue);
            $supportForm->init();
        }
        
       if ($this->getRequest()->isPost()) {
         $formData = $this->getRequest()->getPost();  
            /**
             * Check if form is valid
             */
            if ($supportForm->isValid($formData)) {
                // build message
                $userSession = VSCAN_Sessions::currentUser()->user;
                $user = new VSCAN_Model_User();
                $user->find($userSession->id);
                $companyName = VSCAN_Sessions::getCurrentCompanyName();
                $host = Zend_Registry::get('config')->host->name;
                $adminEmail = Zend_Registry::get('config')->admin->email;
                $link_to_user = $host.'admin/users/index/id/' . $user->id;
                $link_to_company = $host.'admin/groups/index/id/' . VSCAN_Sessions::getCurrentCompany();
                $values = array(
                    'request' =>  $formData['issue'],
                    'link_to_user' => $link_to_user,
                    'user_fullname' => $user->getFullname(),
                    'user_email' => $user->getEmail(),
                    'link_to_company' => $link_to_company,
                    'company_name' => $companyName,
                    'comments' => nl2br($formData['comments']),
                    'host' => $host
                    );
             
                $mail =  new VSCAN_Mail($values, 'VSCAN Message: ' . $formData['issue']);
                $this->view->sent = $mail->send();
                $supportForm = new VSCAN_Form_Support();
            }
        }
        $this->view->supportForm = $supportForm;
    }
	protected function _login()
    {
    	$username = $this->getRequest()->getParam('username');
    	$password = $this->getRequest()->getParam('password');

    	$loginForm = new VSCAN_Form_UserLogin();
    	$formValues = array('username'=>$username, 'password'=>$password);
    	
       if ($this->getRequest()->isPost()) {
            $formData = $this->getRequest()->getPost();  
  
            if ($loginForm->isValid($formData)) {
				$authenticator = VSCAN_Authenticator::getInstance();
            	$result = $authenticator->authenticate($username, $password);
				if ($result->isValid()) {
					$auth = VSCAN_Sessions::create($result->getIdentity());
					$this->_redirect('/');
				} else {
					$this->view->authUserLoginFailed = true;
				}
            }
        }
        $this->view->loginForm = $loginForm;
    }

}
