<?php	
class ReportsController extends Zend_Controller_Action
{	
    public function indexAction()
    {
		$scan = new VSCAN_Model_Scan();
		$select = $scan->select()
			->where('company_id = ?', VSCAN_Sessions::getCurrentCompany())
			->where('status = ?', VSCAN_Scan::FINISHED)
			->order('created DESC');
		$scans = $scan->fetchAllForPage($select);
		$this->view->scans = $scans;
    }
    
    public function showAction()
    {
    	$id = $this->getRequest()->getParam('id');
        $this->view->show_solved = $this->getRequest()->getParam('show_solved', VSCAN_Sessions::getShowSolved());
        VSCAN_Sessions::setShowSolved($this->view->show_solved);
        $report = new VSCAN_Model_Report();
    	$report = $report->find($id);
    	if (!$report->isMapped()) {
    		throw new Zend_Controller_Action_Exception('Report does not exist', 404);
    	}
        if(VSCAN_Company::redirectToHomeUnlessResourceBelongToCompany($report->getScan()->getCompany()->getId())) return;
    	$this->view->id = $id;
    }
	public function completeAction()
    {
    	$id = $this->getRequest()->getParam('id');
    	$scan = new VSCAN_Model_Scan();
    	$scan = $scan->find($id);
        
    	if (!$scan->isMapped()) {
    		throw new Zend_Controller_Action_Exception('Scan does not exist', 404);
    	}
        if(VSCAN_Company::redirectToHomeUnlessResourceBelongToCompany($scan->getCompany()->getId())) return;
    	$this->view->scan = $scan;
    }
}
