<?php	
class TargetsController extends Zend_Controller_Action
{	
    public function indexAction()
    {
    	$id = $this->getRequest()->getParam('id');
		$targetForm = new VSCAN_Form_Target(array('id' => $id));
        $companyId = VSCAN_Sessions::getCurrentCompany();
		if (!empty($id) && !$this->getRequest()->isPost()) {
			$target = new VSCAN_Model_Target();
            $target = $target->fetchRow($target->select()->where('id = ?', $id)->where('company_id = ?', $companyId));
            if ($target->isMapped()){
                $targetForm->populate($target->toArray());
            }else{
                $targetForm->setId(null);   
            }
		}
		
        if ($this->getRequest()->isPost()) {    
            $formData = $this->getRequest()->getPost();  
            
            if ($targetForm->isValid($formData)) {
            	$target = new VSCAN_Model_Target();
                $values = $targetForm->getValues();
                if (VSCAN_Company::redirectToHomeUnlessResourceBelongToCompany($values['company'])) return;
            	$target->populate($values);
            	$target->save();
            	if (!empty($id)) {
            		$this->view->edit = true;
            	}else{
            		$this->view->new = true;
            	}
            	$targetForm = new VSCAN_Form_Target(array('id' => ''));
            }
        }
        $this->view->targetForm = $targetForm;
        
		//list
		$target = new VSCAN_Model_Target();
		$this->view->targets = $target->fetchAllForPage(
			$target->select()->where('company_id = ?', $companyId)
		);
		
    }
    public function deleteAction()
    {
    	$id = $this->getRequest()->getParam('id');
		$target = new VSCAN_Model_Target();
        $target->find($id);
        if (VSCAN_Company::redirectToHomeUnlessResourceBelongToCompany($target->getCompany()->getId())) return;
        $target->delete();
		$this->_helper->redirector('index');
    }
}
