<?php
class VSCAN_Model_DbTable_CompanyUser extends Zend_Db_Table_Abstract
{
    /** Table name */
    protected $_name = 'companies_users';
    protected $_referenceMap = array (
        'User' => array (// name VSCAN_Model_NAME that is related 
            'columns' => array ('user_id'), // field of relation
            'refTableClass' => 'VSCAN_Model_DbTable_User', //
            'refColumns' => array ('id'),
        ),
        'Company' => array (// name VSCAN_Model_NAME that is related 
            'columns' => array ('company_id'), // field of relation
            'refTableClass' => 'VSCAN_Model_DbTable_Company', //
            'refColumns' => array ('id'),
        )
    );
}
