<?php
class VSCAN_Model_Mapper_Scan extends VSCAN_Model_Mapper_Abstract
{
    protected $_dbTable;

    public function getDbTable()
    {
        if (null === $this->_dbTable) {
            $this->setDbTable('VSCAN_Model_DbTable_Scan');
        }
        return $this->_dbTable;
    }
    protected function _beforeSave(array &$data)
    {    	
    	$date = new Zend_Date();
		if(!empty($data['date']))
		{
			$date->set($data['date']);
        	$data['date'] = $date->toString(Zend_Date::ISO_8601);
		}
    	
        parent::_beforeSave($data);
    }

}