<?php
/**
 * 
 * 
 *
 */
class VSCAN_Model_Report extends VSCAN_Model_Abstract
{
	protected $_scan;	
	protected $_name;
	protected $_created;
	
	
	public function getScan()
	{
		return $this->_scan;	
	}
	
	public function setScan($value)
	{
		$this->_convertToModel('VSCAN_Model_Scan', $value);
		$this->_scan = $value;	
	}
	
	public function getName()
	{
		return $this->_name;	
	}
	
	public function setName($value)
	{
		$this->_name = $value;	
	}
	
	public function getCreated()
	{
		return $this->_created;
	}
	
	public function setCreated($value)
	{
		$this->_created = $value;
	}
	
	public function toArray()
	{
		return array (
			'id' => $this->getId(),
			'scan' => $this->getScan(),
			'name' => $this->getName(),
			'created' => $this->getCreated()
		);
	}
	
	public function getMapper()
    {
        if (null === $this->_mapper) {
            $this->setMapper('VSCAN_Model_Mapper_Report');
        }
        return $this->_mapper;
    }
    
}