<?php
/**
 * 
 * 
 *
 */
class VSCAN_Model_ReportItem extends VSCAN_Model_Abstract
{
	protected $_report;
	protected $_status;
	protected $_uuid;
	protected $_risk;
	protected $_port;
	protected $_description;	
	protected $_data;
	protected $_attributes;
	protected $_created;
	
	
	public function getReport()
	{
		return $this->_report;	
	}
	
	public function setReport($value)
	{
		$this->_convertToModel('VSCAN_Model_Report', $value);
		$this->_report = $value;	
	}
	public function getStatus()
	{
		return $this->_status;	
	}
	
	public function setStatus($value)
	{
		$this->_status = $value;	
	}
	public function getUuid()
	{
		return $this->_uuid;	
	}
	
	public function setUuid($value)
	{
		$this->_uuid = $value;	
	}

	public function getRisk()
	{
		return $this->_risk;	
	}
	
	public function setRisk($value)
	{
		$this->_risk = $value;	
	}
	public function getPort()
	{
		return $this->_port;	
	}
	
	public function setPort($value)
	{
		$this->_port = $value;	
	}

	public function getDescription()
	{
		return $this->_description;	
	}
	
	public function setDescription($value)
	{
		$this->_description = $value;	
	}

	public function getData()
	{
		return $this->_data;	
	}
	
	public function setData($value)
	{
		$this->_data = $value;	
	}
	
	public function getAttributes()
	{
		return $this->_attributes;	
	}
	
	public function setAttributes($value)
	{
		$this->_attributes = $value;	
	}
	
	public function getCreated()
	{
		return $this->_created;
	}
	
	public function setCreated($value)
	{
		$this->_created = $value;
	}
	
	public function toArray()
	{
		return array (
			'id' => $this->getId(),
			'report' => $this->getReport(),
			'status' => $this->getStatus(),
			'uuid' => $this->getUuid(),
			'risk' => $this->getRisk(),
			'port' => $this->getPort(),
			'description' => $this->getDescription(),	
			'data' => $this->getData(),
			'Attributes' => $this->getAttributes(),
			'created' => $this->getCreated()
		);
	}
	
	public function getMapper()
    {
        if (null === $this->_mapper) {
            $this->setMapper('VSCAN_Model_Mapper_ReportItem');
        }
        return $this->_mapper;
    }

    public function save(){
    	try{
    		$scanId = $this->getReport()->getScan()->getId();
    		VSCAN_Cache::removeByScanId($scanId);
    	} catch (Exception $e) {

    	}
    	parent::save();
    }

    
}