<?php
/**
 * 
 * This model is controlled by the VSCAN_Acl class
 *
 */
class VSCAN_Model_RoleResource extends VSCAN_Model_Abstract
{
	protected $_role;	
	protected $_resource;
	
	
	public function getRole()
	{
		return $this->_role;	
	}
	
	public function setRole($value)
	{
		$this->_convertToModel('VSCAN_Model_Role', $value);
		$this->_role = $value;	
	}
	public function getResource()
	{
		return $this->_resource;	
	}
	
	public function setResource($value)
	{
		$this->_convertToModel('VSCAN_Model_Resource', $value);
		$this->_resource = $value;	
	}
	
	public function toArray()
	{
		return array (
			'id' => $this->getId(),
			'role' => $this->getRole(),
			'resource' => $this->getResource()
		);
	}
	
	public function getMapper()
    {
        if (null === $this->_mapper) {
            $this->setMapper('VSCAN_Model_Mapper_RoleResource');
        }
        return $this->_mapper;
    }
    
}