<?php
/**
 * 
 * This model is controlled by the VSCAN_Acl class
 *
 */
class VSCAN_Model_RoleUser extends VSCAN_Model_Abstract
{
	protected $_role;	
	protected $_user;
	
	
	public function getRole()
	{
		return $this->_role;	
	}
	
	public function setRole($value)
	{
		$this->_convertToModel('VSCAN_Model_Role', $value);
		$this->_role = $value;	
	}
	
	public function getUser()
	{
		return $this->_user;	
	}
	
	public function setUser($value)
	{
		$this->_convertToModel('VSCAN_Model_User', $value);
		$this->_user = $value;	
	}
	
	public function toArray()
	{
		return array (
			'id' => $this->getId(),
			'role' => $this->getRole(),
			'user' => $this->getUser()
		);
	}
	
	public function getMapper()
    {
        if (null === $this->_mapper) {
            $this->setMapper('VSCAN_Model_Mapper_RoleUser');
        }
        return $this->_mapper;
    }
    
}