<?php
/**
 * 
 * 
 *
 */
class VSCAN_Model_Target extends VSCAN_Model_Abstract
{
	protected $_type;	
	protected $_start;
	protected $_end;
	protected $_company;
	protected $_created;
	
	
	public function getType()
	{
		return $this->_type;	
	}
	
	public function setType($value)
	{
		$this->_type = $value;	
	}
	
	public function getStart()
	{
		return $this->_start;	
	}
	
	public function setStart($value)
	{
		$this->_start = $value;	
	}
	
	public function getEnd()
	{
		return $this->_end;	
	}
	
	public function setEnd($value)
	{
		$this->_end = $value;	
	}
	
	public function getCompany()
	{
		return $this->_company;	
	}
	
	public function setCompany($value)
	{
		$this->_convertToModel('VSCAN_Model_Company', $value);
		$this->_company = $value;	
	}

	public function getCreated()
	{
		return $this->_created;
	}
	
	public function setCreated($value)
	{
		$this->_created = $value;
	}
	
	public function toArray()
	{
		return array (
			'id' => $this->getId(),
			'type' => $this->getType(),
			'start' => $this->getStart(),
			'end' => $this->getEnd(),
			'company' => $this->getCompany(),
			'created' => $this->getCreated()
		);
	}
	
	public function getMapper()
    {
        if (null === $this->_mapper) {
            $this->setMapper('VSCAN_Model_Mapper_Target');
        }
        return $this->_mapper;
    }
    
}