<?php
class Zend_View_Helper_SummaryChart extends Zend_View_Helper_Abstract
{	
	public function SummaryChart($scanId)
    {
 		$scan = new VSCAN_Model_Scan();
 		$scan->find($scanId);
 		if ($scan->isMapped()){
 			$date = $scan->getDate();
 			$modified = $scan->getModified();
            $end = new Zend_Date($modified);
            $end = VSCAN_Locale::convertDateByOffset($end, $scan->getCompany()->getTimezone());
            $end = $end->toString(Zend_Registry::get('config')->date->format, null, 'en');
 			$targetList = $scan->getTargets();            
            $targetList = explode(',', $targetList);
 			return '<div class="summary-chart">
     					<div>
     						<strong>Start:</strong> ' . $date . '
     					</div>
     					<div>
     						<strong>End:</strong> ' . $end . '
     					</div>
     					<div>
     						<strong>Targets:</strong> ' . implode('<br>', $targetList).'
     					</div>
     				</div>';
     	}

    }
}