<?php

class VSCAN_Cache {
	const PF_CHART = 'chart_';
	const PF_HOME = 'home_';
	const PF_REPORTS = 'reports_';

	const CACHE_NAME = 'vscan_cache';
	public static function remove($prefix, $key){
    	Zend_Registry::get(self::CACHE_NAME)->remove($prefix . $key);
	}

	public static function removeByScanId($scanId){
		Zend_Registry::get(self::CACHE_NAME)->clean(
    		Zend_Cache::CLEANING_MODE_MATCHING_ANY_TAG,
   			array(
   				self::PF_HOME.$scanId,
   				self::PF_CHART.$scanId,
   				self::PF_REPORTS.$scanId,
   				self::PF_REPORTS
   				)
   		);
	}
	public static function removeReports(){
		Zend_Registry::get(self::CACHE_NAME)->clean(
    		Zend_Cache::CLEANING_MODE_MATCHING_ANY_TAG,
   			array(self::PF_REPORTS)
   		);
	}

}