<?php

class VSCAN_Locale {
	
	public static function getGMTList() {
		return array(
			'-12:00'=>'GMT-12',
			'-11:00'=>'GMT-11',
			'-10:00'=>'GMT-10',
			'-09:00'=>'GMT-9',
			'-08:00'=>'GMT-8',
			'-07:00'=>'GMT-7',
			'-06:00'=>'GMT-6',
			'-05:00'=>'GMT-5',
			'-04:30'=>'GMT-4:30',
			'-04:00'=>'GMT-4',
			'-03:30'=>'GMT-3:30',
			'-03:00'=>'GMT-3',
			'-02:00'=>'GMT-2',
			'-01:00'=>'GMT-1',
			'+00:00'=>'GMT',
			'+01:00'=>'GMT+1',
			'+02:00'=>'GMT+2',
			'+03:00'=>'GMT+3',
			'+03:30'=>'GMT+3:30',
			'+04:00'=>'GMT+4',
			'+04:30'=>'GMT+4:30',
			'+05:00'=>'GMT+5',
			'+05:30'=>'GMT+5:30',
			'+05:45'=>'GMT+5:45',
			'+06:00'=>'GMT+6',
			'+06:30'=>'GMT+6:30',
			'+07:00'=>'GMT+7',
			'+08:00'=>'GMT+8',
			'+09:00'=>'GMT+9',
			'+09:30'=>'GMT+9:30',
			'+10:00'=>'GMT+10',
			'+11:00'=>'GMT+11',
			'+12:00'=>'GMT+12',
			'+13:00'=>'GMT+13'
		);
	}
	public static function convertDateByOffset($date, $offset){
		$offset = (int)str_replace(':00', '', $offset);
		$dt = new DateTimeZone(date_default_timezone_get());
		$current_offset = ($dt->getOffset(new DateTime())/3600);
		$new_offset = $current_offset - $offset;
		$operation = 'addHour';
		if ($new_offset >= 1){
			$operation = 'subHour';
		}
		if ($new_offset != 0){
			$date = $date->{$operation}(abs($new_offset));	
		}
		return $date;
	}
}