<?php

class Admin_GroupsController extends Zend_Controller_Action
{
	public function init() 
	{
		
	}
	
	public function indexAction()
	{
		$id = $this->getRequest()->getParam('id');
		$companyForm = new VSCAN_Form_Company(array('id' => $id));
		if (!empty($id) && !$this->getRequest()->isPost()) {
			$company = new VSCAN_Model_Company();
			$company->find($id);
			$companyForm->populate($company->toArray());
		}
		
        if ($this->getRequest()->isPost()) {    
            $formData = $this->getRequest()->getPost();  
            
            if ($companyForm->isValid($formData)) {
            	$compnyFields = $companyForm->getValues();
            	$company = new VSCAN_Model_Company();
            	$company->populate($compnyFields);
            	$company->save();
            	if (!empty($id)) {
            		$this->view->edit = true;
            	}else{
            		$this->view->new = true;
            	}
            	$companyForm = new VSCAN_Form_Company(array('id' => ''));
            }
        }
        $this->view->companyForm = $companyForm;
        
		//list
		$company = new VSCAN_Model_Company();
		$this->view->companies = $company->fetchAllForPage($company->select()->order('name'));
		
	}
	
	public function deleteAction()
	{
		$id = $this->getRequest()->getParam('id');
		try {
			VSCAN_Company::delete($id);
			$this->_helper->redirector('index');
		}catch (Zend_Exception $e) {
			$this->view->errorMsg = $e->getMessage();
		}
	}
}
