<?php

class Admin_UsersController extends Zend_Controller_Action
{
	public function init() 
	{
		
	}
	
	public function indexAction()
	{
		$id = $this->getRequest()->getParam('id');
		$registerForm = new VSCAN_Form_UserRegistration(array('id' => $id));
		if (!empty($id) && !$this->getRequest()->isPost()) {
			$user = new VSCAN_Model_User();
			$user->find($id);
			if($user->isMapped()){
				$registerForm->setId($id);
				$registerForm->populate($user->toArray());
			}
		}
		
        if ($this->getRequest()->isPost()) {
            $formData = $this->getRequest()->getPost();  
            if ($registerForm->isValid($formData)) {
            	$userFields = $registerForm->getValues();
            	$user = VSCAN_User::create($userFields);
            	if (!empty($id)) {
            		$this->view->editUser = true;
            	}else{
            		$this->view->newUser = true;
            	}
            	$registerForm = new VSCAN_Form_UserRegistration(array('id' => ''));
            }
        }
        $this->view->formRegistration = $registerForm;
        
		//list
		$user = new VSCAN_Model_User();
		$this->view->users = $user->fetchAllForPage($user->select()->order('fullname'));
		
	}
	
	public function deleteAction()
	{
		$id = $this->getRequest()->getParam('id');
		try{
			VSCAN_User::delete($id);
		} catch (Zend_Exception $e){
            $this->view->errorMsg = 'The User has dependences, remove them and try again';
		}
		$this->getRequest()->setParams(array('id'=>''));
		$this->indexAction();
        $this->render('index');
	}
}
