<?php
/**
 * 
 * 
 *
 */
class VSCAN_Model_Company extends VSCAN_Model_Abstract
{
	protected $_name;	
	protected $_address;
	protected $_city;
	protected $_state;
	protected $_country;
	protected $_timezone;
	protected $_scans;
	protected $_active;
	protected $_created;
	
	
	public function getName()
	{
		return $this->_name;	
	}
	
	public function setName($value)
	{
		$this->_name = $value;	
	}
	
	public function getAddress()
	{
		return $this->_address;	
	}
	
	public function setAddress($value)
	{
		$this->_address = $value;	
	}
	
	public function getCity()
	{
		return $this->_city;	
	}
	
	public function setCity($value)
	{
		$this->_city = $value;	
	}
	
	public function getState()
	{
		return $this->_state;	
	}
	
	public function setState($value)
	{
		$this->_state = $value;	
	}
	
	public function getCountry()
	{
		return $this->_country;	
	}
	
	public function setCountry($value)
	{
		$this->_country = $value;	
	}
	
	public function getTimezone()
	{
		return $this->_timezone;	
	}
	
	public function setTimezone($value)
	{
		$this->_timezone = $value;	
	}
	
	public function getScans()
	{
		return $this->_scans;	
	}
	
	public function setScans($value)
	{
		$this->_scans = $value;	
	}
	
	public function setActive($active)
    {
        $this->_active = (boolean) $active;
        return $this;
    }
 
    public function getActive()
    {
        return (boolean)$this->_active;
    }
    
	public function getCreated()
	{
		return $this->_created;
	}
	
	public function setCreated($value)
	{
		$this->_created = $value;
	}
	
	public function toArray()
	{
		return array (
			'id' => $this->getId(),
			'name' => $this->getName(),
			'address' => $this->getAddress(),
			'city' => $this->getCity(),
			'state' => $this->getState(),
			'country' => $this->getCountry(),
			'timezone' => $this->getTimezone(),
			'scans' => $this->getScans(),
			'active' => $this->getActive(),
			'created' => $this->getCreated()
		);
	}
	
	public function getMapper()
    {
        if (null === $this->_mapper) {
            $this->setMapper('VSCAN_Model_Mapper_Company');
        }
        return $this->_mapper;
    }
}