<?php
class VSCAN_Model_DbTable_RoleResource extends Zend_Db_Table_Abstract
{
    /** Table name */
    protected $_name = 'roles_resources';
    protected $_referenceMap = array (
        'Role' => array (// name VSCAN_Model_NAME that is related 
            'columns' => array ('role_id'), // field of relation
            'refTableClass' => 'VSCAN_Model_DbTable_Role', //
            'refColumns' => array ('id'),
        ),
        'Resource' => array (// name VSCAN_Model_NAME that is related 
            'columns' => array ('resources_id'), // field of relation
            'refTableClass' => 'VSCAN_Model_DbTable_Resource', //
            'refColumns' => array ('id'),
        )
    );
}
