<?php
class VSCAN_Model_DbTable_RoleUser extends Zend_Db_Table_Abstract
{
    /** Table name */
    protected $_name = 'roles_user';
    protected $_referenceMap = array (
        'Role' => array (// name VSCAN_Model_NAME that is related 
            'columns' => array ('role_id'), // field of relation
            'refTableClass' => 'VSCAN_Model_DbTable_Role', //
            'refColumns' => array ('id'),
        ),
        'User' => array (// name VSCAN_Model_NAME that is related 
            'columns' => array ('user_id'), // field of relation
            'refTableClass' => 'VSCAN_Model_DbTable_User', //
            'refColumns' => array ('id'),
        )
    );
}
