<?php
class Zend_View_Helper_RiskClass extends Zend_View_Helper_Abstract {

	public function riskClass($riskFactorName, $status){

		if ($status == VSCAN_Scan::SOLVED){
			return 'vul-risk-solved';
		}
		switch (strtolower($riskFactorName)) {
				case VSCAN_Report::RISK_CRITICAL:
					return  'vul-risk-critical';
				case VSCAN_Report::RISK_HIGH:
					return  'vul-risk-high';
				case VSCAN_Report::RISK_MEDIUM:
					return  'vul-risk-medium';
				case VSCAN_Report::RISK_LOW:
					return  'vul-risk-low';
				case 'info':
					return 'vul-risk-info';
			}
	
	}

}