<?php

#$nessus_server = "https://127.0.0.1:8834";
$nessus_server = "localhost";
$nessus_port = 1241;
$username = "";
$password = "";
$nessus_plugin_list = "/var/www/vscan/data/nessus_plugin_list";
`/opt/nessus/bin/nessus -qp $nessus_server $nessus_port $username $password | cut -d'|' -f1-3 > $nessus_plugin_list`;


function CreateNessusSession($random)
{
        global $nessus_server;
        global $username;
        global $password;

        $conn = curl_init($nessus_server . "/login" );
        $post_data = array("login" => $username, "password" => $password, "seq" => $random);
        curl_setopt($conn,CURLOPT_CONNECTTIMEOUT, 30);
        curl_setopt($conn,CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($conn,CURLOPT_SSL_VERIFYHOST, 1);
        curl_setopt($conn,CURLOPT_RETURNTRANSFER, true);
        curl_setopt($conn,CURLOPT_POST, true);
        curl_setopt($conn,CURLOPT_POSTFIELDS, $post_data);
        $xmlresponse = simplexml_load_string(curl_exec($conn));
        $auth_token = $xmlresponse->contents->token;
        $xmlresponse = null;
        curl_close($conn);

        return $auth_token;
}

function DownloadPlugins($auth_token,$random)
{
        global $nessus_server;
	$conn = curl_init($nessus_server . "/plugins/descriptions" );
	$post_data = array("seq" => $random);
        curl_setopt($conn,CURLOPT_CONNECTTIMEOUT, 60);
        curl_setopt($conn,CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($conn,CURLOPT_SSL_VERIFYHOST, 1);
        curl_setopt($conn,CURLOPT_RETURNTRANSFER, true);
	curl_setopt($conn,CURLOPT_COOKIE, "token=$auth_token");
        curl_setopt($conn,CURLOPT_POST, true);
        curl_setopt($conn,CURLOPT_POSTFIELDS, $post_data);
        $xmlresponse = simplexml_load_string(curl_exec($conn));
	$file = fopen("/tmp/retornoNessus.xml", "w");
	fwrite($file, $xmlresponse->asXML());
	fclose($file);
        $xmlresponse = null;
        curl_close($conn);
        return 0;

}

#$random = mt_rand();
#$auth_token = CreateNessusSession($random);
#DownloadPlugins($auth_token,$random);

?>
